summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorZeeshan Ali <zeeshanak@gnome.org>2016-11-14 09:40:54 (GMT)
committerSona Sarmadi <sona.sarmadi@enea.com>2017-02-10 11:21:36 (GMT)
commit37d15cd6c9f15c05fd464d106e2802436cf30740 (patch)
tree28a3a8c0b3b82d334e3d32d2bd8bfafa925f99ca
parentcb31822a6c2dd856881330a356e9037e68db45dc (diff)
downloadpoky-37d15cd6c9f15c05fd464d106e2802436cf30740.tar.gz
nss: Disable warning on deprecated API usage
nss itself enables Werror if gcc is version 4.8 of greater, which fails the build against new glibc (2.24) because of use of readdir_r(), which is now deprecated. Let's just disable warnings on deprecated API usage. https://bugzilla.yoctoproject.org/show_bug.cgi?id=10644 Signed-off-by: Zeeshan Ali <zeeshan.ali@pelagicore.com> Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Sona Sarmadi <sona.sarmadi@enea.com>
-rw-r--r--meta/recipes-support/nss/nss/nss-disable-werror-on-deprecated-api.patch22
-rw-r--r--meta/recipes-support/nss/nss_3.21.bb1
2 files changed, 23 insertions, 0 deletions
diff --git a/meta/recipes-support/nss/nss/nss-disable-werror-on-deprecated-api.patch b/meta/recipes-support/nss/nss/nss-disable-werror-on-deprecated-api.patch
new file mode 100644
index 0000000..fbaa6a6
--- /dev/null
+++ b/meta/recipes-support/nss/nss/nss-disable-werror-on-deprecated-api.patch
@@ -0,0 +1,22 @@
1Disable Werror on deprecated API
2
3nss itself enables Werror if gcc is version 4.8 of greater, which fails
4the build against new glibc (2.24) because of use of readdir_r(), which is
5now deprecated. Let's just disable warnings on deprecated API usage.
6
7Upstream-Status: Inappropriate [Dev branch on newer version w/o this issue]
8
9Signed-off-by: Zeeshan Ali <zeeshan.ali@pelagicore.com>
10===================================================
11diff -u -r a/nss/coreconf/Werror.mk b/nss/coreconf/Werror.mk
12--- a/nss/coreconf/Werror.mk 2015-11-09 06:12:59.000000000 +0100
13+++ b/nss/coreconf/Werror.mk 2016-11-11 14:36:36.301062957 +0100
14@@ -60,7 +60,7 @@
15 endif #ndef NSS_ENABLE_WERROR
16
17 ifeq ($(NSS_ENABLE_WERROR),1)
18- WARNING_CFLAGS += -Werror
19+ WARNING_CFLAGS += -Werror -Wno-deprecated -Wno-deprecated-declarations
20 else
21 # Old versions of gcc (< 4.8) don't support #pragma diagnostic in functions.
22 # Use this to disable use of that #pragma and the warnings it suppresses.
diff --git a/meta/recipes-support/nss/nss_3.21.bb b/meta/recipes-support/nss/nss_3.21.bb
index 05d81c2..7933883 100644
--- a/meta/recipes-support/nss/nss_3.21.bb
+++ b/meta/recipes-support/nss/nss_3.21.bb
@@ -22,6 +22,7 @@ SRC_URI = "\
22 file://nss-fix-nsinstall-build.patch \ 22 file://nss-fix-nsinstall-build.patch \
23 file://0001-Fix-build-failure-on-opensuse-13.1.patch \ 23 file://0001-Fix-build-failure-on-opensuse-13.1.patch \
24 file://nss-gcc6-fix.patch \ 24 file://nss-gcc6-fix.patch \
25 file://nss-disable-werror-on-deprecated-api.patch \
25 file://nss.pc.in \ 26 file://nss.pc.in \
26 file://signlibs.sh \ 27 file://signlibs.sh \
27" 28"